## bibletime-trinity 14.1.5

=== bibletime/util/CMakeLists.txt ===

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/${PROJECT_NAME}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${CLUCENE_INCLUDE_DIRS}
  ${SWORD_INCLUDE_DIRS}
)

tde_add_library( util STATIC_PIC AUTOMOC
  SOURCES
    cpointers.cpp cresmgr.cpp ctoolclass.cpp directoryutil.cpp
)

=== doc/en/handbook/html/CMakeLists.txt ===

file( GLOB handbook_images *.png )

install(
  FILES ${handbook_images}
  DESTINATION ${HTML_INSTALL_DIR}/en/${PROJECT_NAME}/handbook
)

=== doc/en/howto/unicode/CMakeLists.txt ===

file( GLOB howto_text *.docbook )

install(
  FILES ${howto_text}
  DESTINATION ${HTML_INSTALL_DIR}/en/${PROJECT_NAME}/howto
)

## bibletime-trinity 3.5.13.2

=== debian/changelog ===
bibletime-trinity (4:3.5.13.2-0debian6.0.0+0) squeeze; urgency=low

  * Automated git build for v3.5.13.2

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 07 Jun 2013 02:59:29 +0200

bibletime-trinity (1.6.6.0-0) lucid; urgency=low

  * New upstream version

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Thu, 22 Sep 2010 23:19:00 -0600

bibletime (1.6.5.1-1) unstable; urgency=low

  * New upstream version (Closes: #441161, #271502)
  * fixes for new autotools and gcc 4.3 (Closes: #407291)
  * added poxml to Build-Depends
  * No DFSG necessary anymore since biblestudy howto has 
    now Commons Licence 
  * Added libclucene-dev to dev-depends (Closes: #436677)

 -- Ralph Janke <txwikinger@ubuntu.com>  Sat, 10 May 2008 15:18:16 +0100

bibletime (1.6.4.dfsg-1) unstable; urgency=low

  * New upstream version

 -- Daniel Glassey <wdg@debian.org>  Fri, 22 Jun 2007 18:47:48 +0100

bibletime (1.6.2.dfsg-1) unstable; urgency=low

  * New upstream release using sword 1.5.9, Closes: #401068
  * upstream now allows build without howto (which has been declared
      non-DFSG free), Closes: #331547
  * DFSG free source tarball created from upstream by 
      rm docs/howto/unicode/*.docbook
  * "Highlight words of Jesus" fixed, Closes: #329244
  * recommend bibletime-i18n, Closes: #375905
  * don't need custom kde.mk for cdbs anymore (see bug #284428)

 -- Daniel Glassey <wdg@debian.org>  Thu,  7 Dec 2006 19:03:21 +0000

bibletime (1.6.1-1) unstable; urgency=low

  * New upstream release
  * debian/control: Uses sword 1.5.9 - build depends
        standards version 3.7.2.2 (no changes)

 -- Daniel Glassey <wdg@debian.org>  Thu, 23 Nov 2006 22:50:46 +0000

bibletime (1.5.3-1) unstable; urgency=low

  * New upstream release
  * rebuild against transistion sword and KDE
  * Don't autogenerate debian/control using cdbs
    fix generated file build-deps

 -- Daniel Glassey <wdg@debian.org>  Sat, 10 Dec 2005 21:39:54 +0000

bibletime (1.5.1-1) unstable; urgency=low

  * New upstream release

 -- Daniel Glassey <wdg@debian.org>  Mon, 12 Sep 2005 22:39:30 +0100

bibletime (1.5-1) unstable; urgency=low

  * New upstream release
  * Use cdbs
     use a local kde.mk because the supplied one is broken for tarballs
        bug #284428
  * cdbs will update config.sub/guess (Closes: #304632)
  * Acknowledge NMU, thanks (Closes: #279471)
  * Manpage is included upstream now
     Thanks to Erik Schanze <schanzi_usenet@gmx.de> for it (Closes: #259948)
     not installed upstream so install from the debian dir
  * debian/menu: quote the strings, remove kderemove
     set the section to Education (Closes: #297873)
  * debian/copyright: Upstream Authors fix
  * clean up the debian dir, override not needed any more

 -- Daniel Glassey <wdg@debian.org>  Fri, 12 Aug 2005 09:33:45 +0100

bibletime (1.4.1-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Switched to libcurl3-dev (closes: #279471).

 -- Domenico Andreoli <cavok@debian.org>  Wed, 22 Dec 2004 18:34:21 +0100

bibletime (1.4.1-2) unstable; urgency=low

  * Rebuild for KDE 3.3, Closes: #237905

 -- Daniel Glassey <wdg@debian.org>  Wed, 31 Mar 2004 16:29:26 +0100

bibletime (1.4.1-1) unstable; urgency=low

  * New upstream version
  * Exclude docbook from dh_compress, Closes: #220891
  * Hebrew displays RTL with Trinity so closing old bug, Closes: #158456
  * Tried search dialog and it works fine now so, Closes: #145965

 -- Daniel Glassey <wdg@debian.org>  Thu, 29 Jan 2004 22:10:38 +0000

bibletime (1.4-1) unstable; urgency=low

  * New upstream version
  * depend on sword 1.5.7

 -- Daniel Glassey <wdg@debian.org>  Thu,  8 Jan 2004 11:50:46 +0000

bibletime (1.3-3) unstable; urgency=low

  * Fix copyright file
  * Acknowledge NMU, thanks, Closes: #187033

 -- Daniel Glassey <wdg@debian.org>  Tue, 16 Dec 2003 22:40:52 +0000

bibletime (1.3-2) unstable; urgency=medium

  * Build Depend on sword >= 1.5.6-9
  * Time to upload to unstable
  * Standards version now 3.6.1.0

 -- Daniel Glassey <wdg@debian.org>  Wed, 12 Nov 2003 17:59:31 +0000

bibletime (1.3-1) experimental; urgency=low

  * 1.3 is released :)
  * depend on sword 1.5.6
  * Upload to experimental for now

 -- Daniel Glassey <wdg@debian.org>  Thu, 28 Aug 2003 15:29:45 +0100

bibletime (1.2.99-2) unstable; urgency=low

  * rebuild against not quite released sword1.5.5.99-3

 -- Daniel Glassey <wdg@debian.org>  Fri, 18 Jul 2003 18:39:40 +0100

bibletime (1.2.99-1) unstable; urgency=low

  * New upstream release

 -- Daniel Glassey <wdg@debian.org>  Fri,  13 Jul 2003 21:33:55 +0100

bibletime (1.0.99b-1) unstable; urgency=low

  * New upstream release

 -- Daniel Glassey <wdg@debian.org>  Tue,  2 Apr 2002 21:33:55 +0100

bibletime (1.0.3-1) unstable; urgency=low

  * New upstream release
  * build against autotooled sword
  * correct spelling error, Closes: #124449
  * not uploading til sword 1.5.2-8 is in
  * bulid depend on sword >=1.5.2-9

 -- Daniel Glassey <wdg@debian.org>  Fri,  1 Feb 2002 23:01:55 +0000

bibletime (1.0.2-2) unstable; urgency=low

  * Remove debian/controly which shouldn't be there 
  * stop configure from being run twice to fix alpha build, Closes: #121674
  * build-depend on kdelibs-dev >= 2.2.2-8 to catch libfam-dev dependency, see bug 124264
  * Update description for bibletime 1.0.2
  * Update to policy version 3.5.6.0, no necessary changes noticed yet
  * modify clean target in debian/rules to use clean instead of distclean
      and remove */Makefile and */*.moc.cpp 

 -- Daniel Glassey <wdg@debian.org>  Sat, 15 Dec 2001 21:40:18 +0000

bibletime (1.0.2-1) unstable; urgency=low

  * New upstream release - see www.bibletime.de for changes
  * Using latest config.sub and config.guess, Closes #105779
  * may compile on ia64 now (cswordbackendmanager.* does not exist now), Closes #110187
  * Change maintainer to wdg@debian.org
  * Depend on sword >= 1.5.2-4 (new libsword1 shlibs)
  * use AM_MAINTAINER_MODE in configure.in - try to stop automake etc


=== debian/control ===
Source: bibletime-trinity
Section: kde
Build-Depends: bzip2, autotools-dev, quilt, patchutils (>= 0.2.25), cdbs (>= 0.4.27), debhelper (>= 4.1.0), kdelibs4-trinity-dev, libsword-dev, libclucene-dev, poxml-trinity, libboost-dev, automake, autoconf, libtool, libltdl-dev
Priority: optional
Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
Standards-Version: 3.8.4

Package: bibletime-trinity
Architecture: any
Section: kde
Depends: ${shlibs:Depends}
Recommends: sword-text, sword-dict, sword-comm
Suggests: bibletime-i18n-trinity
Provides: sword-frontend
Description: A bible study tool for Trinity
 BibleTime is a free and easy to use bible study tool for UNIX systems.
 It requires a working KDE environment and the SWORD library.
 BibleTime provides easy handling of digitized texts (Bibles, commentaries
 and lexicons) and powerful features to work with these texts (search in
 texts, write own notes, save, print etc.).

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include debian/cdbs/debian-qt-kde.mk
include /usr/share/cdbs/1/class/autotools.mk
#include /usr/share/cdbs/1/rules/simple-patchsys.mk

DEB_DH_INSTALL_SOURCEDIR := debian

DEB_BUILDDIR = $(DEB_SRCDIR)

DEB_CONFIGURE_INCLUDEDIR := /opt/trinity/include/kde
DEB_CONFIGURE_MANDIR := /opt/trinity/share/man
DEB_CONFIGURE_PREFIX := /opt/trinity
DEB_CONFIGURE_INFODIR := /opt/trinity/share/info
DEB_CMAKE_CUSTOM_FLAGS := -DKGTK_KDE3=true -DKGTK_QT3=true

cdbs_configure_flags := --with-qt-dir=/usr/share/qt3 --disable-rpath --with-xinerama $(cdbs_kde_enable_final) $(cdbs_kde_enable_debug)

DEB_CONFIGURE_EXTRA_FLAGS := --prefix=/opt/trinity --with-extra-libs=/opt/trinity/lib

DEB_DH_BUILDDEB_ARGS += -- -Z$(shell dpkg-deb --help | grep -q ":.* xz[,.]" \
                               && echo xz || echo bzip2)

binary-install/bibletime-trinity::
	chmod 644 debian/bibletime-trinity/opt/trinity/share/apps/bibletime/pics/*
	chmod 644 debian/bibletime-trinity/opt/trinity/share/apps/bibletime/bibletimeui.rc
	chmod 644 debian/bibletime-trinity/opt/trinity/share/apps/bibletime/tips

## bibletime-trinity 14.1.0

=== debian/changelog ===
bibletime-trinity (4:14.1.0-0ubuntu21.10.0+0) impish; urgency=low

  * Automated git build for r14.1.0
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.0#bibletime

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 13 Apr 2023 20:21:26 +0200

## bibletime-trinity 14.1.1

=== debian/changelog ===
bibletime-trinity (4:14.1.1-0debian9.0.0+0) stretch; urgency=low

  * Automated git build for r14.1.1
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.1#bibletime

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 03 Sep 2023 15:40:29 +0200

=== debian/control ===
Source: bibletime-trinity
Section: tde
Build-Depends: cdbs, debhelper (>= 9~), quilt, tde-cmake, ninja-build, tdelibs-trinity-dev, libsword-dev, libclucene-dev, libboost-dev
Priority: optional
Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
Standards-Version: 3.8.4

Package: bibletime-trinity
Architecture: any
Section: tde
Replaces: bibletime-trinity (<< 4:14.0.0~)
Breaks: bibletime-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Recommends: sword-text, sword-dict, sword-comm
Suggests: bibletime-i18n-trinity
Provides: sword-frontend
Description: A bible study tool for Trinity
 BibleTime is a free and easy to use bible study tool for UNIX systems.
 It requires a working TDE environment and the SWORD library.
 BibleTime provides easy handling of digitized texts (Bibles, commentaries
 and lexicons) and powerful features to work with these texts (search in
 texts, write own notes, save, print etc.).

## bibletime-trinity 14.1.2

=== debian/changelog ===
bibletime-trinity (4:14.1.2-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.1.2
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.2#bibletime

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 17 Mar 2024 07:47:05 +0100

## bibletime-trinity 14.1.3

=== debian/changelog ===
bibletime-trinity (4:14.1.3-0ubuntu23.04.0+0) lunar; urgency=low

  * Automated git build for r14.1.3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.3#bibletime

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Jul 2024 14:56:21 +0200

## bibletime-trinity 14.1.4

=== debian/changelog ===
bibletime-trinity (4:14.1.4-0ubuntu25.04.0+0) plucky; urgency=low

  * Automated git build for r14.1.4
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.4#bibletime

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 14 Apr 2025 09:06:08 +0200

## bibletime-trinity 14.1.5~pre7

=== debian/changelog ===
bibletime-trinity (4:14.1.5~pre7-0ubuntu25.10.0+3) questing; urgency=low

  * Automated git build for a361f52b67e2f572b7ae6ba278cba8c42f90ab5b
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#bibletime

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## bibletime-trinity 14.1.5~pre8

=== debian/changelog ===
bibletime-trinity (4:14.1.5~pre8-0ubuntu25.10.0+3) questing; urgency=low

  * Automated git build for df84fe45dda7f127a4cc09cd31e5c214f150049d
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#bibletime

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 27 Oct 2025 15:23:14 +0100

## bibletime-trinity 14.1.5

=== debian/changelog ===
bibletime-trinity (4:14.1.5-0ubuntu24.04.0+0) noble; urgency=low

  * Automated git build for r14.1.5
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#bibletime

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 27 Oct 2025 15:23:14 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: bibletime-trinity
 Section: tde
-Build-Depends: cdbs, debhelper (>= 9~), quilt, tde-cmake, ninja-build, tdelibs-trinity-dev, libsword-dev, libclucene-dev, libboost-dev
+Build-Depends: tde-cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, tdelibs-trinity-dev, libsword-dev, libclucene-dev, libboost-dev
 Priority: optional
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 Standards-Version: 3.8.4
@@ -8,8 +8,8 @@
 Package: bibletime-trinity
 Architecture: any
 Section: tde
-Replaces: bibletime-trinity (<< 4:14.0.0~)
-Breaks: bibletime-trinity (<< 4:14.0.0~)
+Replaces: bibletime-kde3 (<< 4:14.0.0~), bibletime-trinity (<< 4:14.0.0~)
+Breaks: bibletime-kde3 (<< 4:14.0.0~), bibletime-trinity (<< 4:14.0.0~)
 Depends: ${shlibs:Depends}
 Recommends: sword-text, sword-dict, sword-comm
 Suggests: bibletime-i18n-trinity

## bibletime-trinity 14.1.6~pre0

=== debian/changelog ===
bibletime-trinity (4:14.1.6~pre0-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for df84fe45dda7f127a4cc09cd31e5c214f150049d
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#bibletime

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 27 Oct 2025 15:23:14 +0100

## bibletime-trinity 14.1.6~pre1

=== debian/changelog ===
bibletime-trinity (4:14.1.6~pre1-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 03538cf2c2a452717fc8168ab5a548046d855135
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#bibletime

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 05:47:02 +0100

## bibletime-trinity 14.2.0~pre46

=== debian/changelog ===
bibletime-trinity (4:14.2.0~pre46-0ubuntu25.10.0+6) questing; urgency=low

  * Automated git build for 67b13117ee0c29c76bda0cb2d7e3ef99e2008377
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#bibletime

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Sep 2025 20:29:16 +0200

## bibletime-trinity 14.2.0~pre47

=== bibletime/display-templates/CMakeLists.txt ===

##### template-init.cpp (generated)

file( READ "names.conf" TEMPLATE_NAMES )
string( REGEX REPLACE "\n" ";" TEMPLATE_NAMES "${TEMPLATE_NAMES}" )
list( SORT TEMPLATE_NAMES )

file( WRITE ${CMAKE_CURRENT_BINARY_DIR}/template-init.cpp
  "void CDisplayTemplateMgr::init() {\n"
)

foreach( TEMPLATE_INFO IN LISTS TEMPLATE_NAMES )
  string( REGEX REPLACE "^([^ \t]*)[ \t]+(.*)" "\\1" TEMPLATE_FILE "${TEMPLATE_INFO}" )
  string( REGEX REPLACE "^([^ \t]*)[ \t]+(.*)" "\\2" TEMPLATE_NAME "${TEMPLATE_INFO}" )

  if( NOT "${TEMPLATE_FILE}" STREQUAL "" )
    file( READ ${TEMPLATE_FILE} TEMPLATE_CONTENT )
    string( REGEX REPLACE "\n+$" "\n" TEMPLATE_CONTENT "${TEMPLATE_CONTENT}\n" )
    string( REGEX REPLACE "\"" "\\\\\"" TEMPLATE_CONTENT "${TEMPLATE_CONTENT}" )
    string( REGEX REPLACE "\n" "\\\\\n" TEMPLATE_CONTENT "${TEMPLATE_CONTENT}" )
    string( REGEX REPLACE "[ \t]+" " " TEMPLATE_CONTENT "${TEMPLATE_CONTENT}" )
    file( APPEND ${CMAKE_CURRENT_BINARY_DIR}/template-init.cpp
      "\tm_templateMap[ i18n(\"${TEMPLATE_NAME}\") ] = \"${TEMPLATE_CONTENT}\";\n"
    )
  endif()
endforeach()

file( APPEND ${CMAKE_CURRENT_BINARY_DIR}/template-init.cpp
  "}\n"
)

=== bibletime/frontend/display/CMakeLists.txt ===

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/${PROJECT_NAME}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${CLUCENE_INCLUDE_DIRS}
  ${SWORD_INCLUDE_DIRS}
)


##### display (static)

tde_add_library( display STATIC_PIC AUTOMOC
  SOURCES
    cdisplay.cpp
    creaddisplay.cpp
    chtmlreaddisplay.cpp
    cwritedisplay.cpp
    cplainwritedisplay.cpp
    chtmlwritedisplay.cpp
)

=== bibletime/frontend/searchdialog/CMakeLists.txt ===

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_BINARY_DIR}/${PROJECT_NAME}
  ${CMAKE_SOURCE_DIR}/${PROJECT_NAME}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${CLUCENE_INCLUDE_DIRS}
  ${SWORD_INCLUDE_DIRS}
)


##### searchdialog (static)

tde_add_library( searchdialog STATIC_PIC AUTOMOC
  SOURCES
    searchoptionsform.ui
    searchresultsform.ui
    csearchdialog.cpp
    csearchdialogpages.cpp
    csearchanalysis.cpp
    cmodulechooser.cpp
    crangechooser.cpp
    cmoduleresultview.cpp
    csearchresultview.cpp

  LINK
    backend-static
    display-static
    frontend-static
    frontendutil-static
)

=== bibletime/frontend/util/CMakeLists.txt ===

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/${PROJECT_NAME}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${CLUCENE_INCLUDE_DIRS}
  ${SWORD_INCLUDE_DIRS}
)


##### frontendutil (static)

tde_add_library( frontendutil STATIC_PIC AUTOMOC
  SOURCES
    csortlistviewitem.cpp
)

=== bibletime/pics/16x16/CMakeLists.txt ===

tde_install_icons()

=== doc/en/handbook/CMakeLists.txt ===

add_subdirectory( unicode )
add_subdirectory( html )

=== debian/changelog ===
bibletime-trinity (4:14.2.0~pre47-0raspbian11.0.0+6) raspbian-bullseye; urgency=low

  * Automated git build for e5b8adbd649f602bda9d568eb80856d809176c71
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#bibletime

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 27 Oct 2025 14:41:30 +0100

=== debian/control ===
--- 
+++ 
@@ -8,8 +8,8 @@
 Package: bibletime-trinity
 Architecture: any
 Section: tde
-Replaces: bibletime-kde3 (<< 4:14.0.0~), bibletime-trinity (<< 4:14.0.0~)
-Breaks: bibletime-kde3 (<< 4:14.0.0~), bibletime-trinity (<< 4:14.0.0~)
+Replaces: bibletime-trinity (<< 4:14.0.0~)
+Breaks: bibletime-trinity (<< 4:14.0.0~)
 Depends: ${shlibs:Depends}
 Recommends: sword-text, sword-dict, sword-comm
 Suggests: bibletime-i18n-trinity

## bibletime-trinity 14.2.0~pre48

=== debian/changelog ===
bibletime-trinity (4:14.2.0~pre48-0ubuntu26.04.0+6~a) resolute; urgency=low

  * Automated git build for 4e597fb2bd29c6272762a1011929271a33e668ff
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#bibletime

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 04:57:52 +0100
